Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.vectorJep.function
Class ExteriorProduct

    java.lang.Object
      org.nfunk.jep.function.PostfixMathCommand
          org.lsmp.djep.vectorJep.function.ExteriorProduct

All Implemented Interfaces:
  BinaryOperatorI, PostfixMathCommandI

    public class ExteriorProduct

extends PostfixMathCommand
implements BinaryOperatorI

An overloaded operator, either cross product or power. If the arguments are 3D vectors then treat as cross product. Otherwise treet as power.

Author:
  Rich Morris Created on 27-Jul-2003

Field Summary

Fields inherited from class org.nfunk.jep.function.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`ExteriorProduct()`

Method Summary
`Dimensions` | `calcDim(Dimensions ldim, Dimensions rdim)` Find the dimensions of this operator when applied to arguments with given dimensions.
`MatrixValueI` | `calcValue(MatrixValueI res, MatrixValueI lhs, MatrixValueI rhs)` Calculates the value of this operator for given input with results stored in res.
`java.lang.Object` | `crosspower(java.lang.Object param1, java.lang.Object param2)`
`java.lang.Object` | `exteriorProduct(MVector lhs, MVector rhs)`
`void` | `run(java.util.Stack inStack)` Throws an exception because this method should never be called under normal circumstances.

Methods inherited from class org.nfunk.jep.function.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.nfunk.jep.function.PostfixMathCommandI
`checkNumberOfParameters, getNumberOfParameters, setCurNumberOfParameters`

Constructor Detail

### ExteriorProduct

    public ExteriorProduct()

Method Detail

### calcDim

    public Dimensions calcDim(Dimensions ldim,
                              Dimensions rdim)
                       throws ParseException

  Description copied from interface: `BinaryOperatorI`
  Find the dimensions of this operator when applied to arguments with given dimensions.

  Specified by:
    `calcDim` in interface `BinaryOperatorI`
  Throws:
    `ParseException`

### calcValue

    public MatrixValueI calcValue(MatrixValueI res,
                                  MatrixValueI lhs,
                                  MatrixValueI rhs)
                           throws ParseException

  Description copied from interface: `BinaryOperatorI`
  Calculates the value of this operator for given input with results stored in res. res is returned. Using this method is slightly faster than the standard run method as it eliminates the construction of tempoary objects.

  Specified by:
    `calcValue` in interface `BinaryOperatorI`
  Throws:
    `ParseException`

### run

    public void run(java.util.Stack inStack)
             throws ParseException

  Description copied from class: `PostfixMathCommand`
  Throws an exception because this method should never be called under normal circumstances. Each function should use it's own run() method for evaluating the function. This includes popping off the parameters from the stack, and pushing the result back on the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Overrides:
    `run` in class `PostfixMathCommand`
  Throws:
    `ParseException`

### crosspower

    public java.lang.Object crosspower(java.lang.Object param1,
                                       java.lang.Object param2)
                                throws ParseException

  Throws:
    `ParseException`

### exteriorProduct

    public java.lang.Object exteriorProduct(MVector lhs,
                                            MVector rhs)
                                     throws ParseException

  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems